﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;
using System.Windows.Data;
using Infragistics.Controls.Menus;

namespace Data
{
    public class DataUtil
    {

    }

    public class Node : INotifyPropertyChanged
    {

        private string text;

        public string Text
        {
            get { return text; }

            set
            {
                if (text != value)
                {
                    text = value;
                    RaisePropertyChanged("Text");
                }
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;

        protected void RaisePropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

    }



    public class Folder : Node
    {

        private ObservableCollection<Node> children;



        public ObservableCollection<Node> Children
        {

            get { return children; }

            set
            {

                if (children != value)
                {

                    children = value;

                    this.RaisePropertyChanged("Children");

                }

            }

        }
    }

    public class File : Node
    {

    }


  

}
