﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Data;

namespace DataTreeFolder
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
         ObservableCollection<Folder> folders; 

        public MainWindow()
        {
            InitializeComponent();
             folders = CreateFolders();
            xamDataTree1.ItemsSource = folders;
        }

        private ObservableCollection<Folder> CreateFolders()
        {
            ObservableCollection<Folder> fl = new ObservableCollection<Folder>();
            Folder fld, fld2;
            for (int i = 0; i < 10; i++)
            {
                fld = new Folder();
                fld.Text = "Folder" + i.ToString();
                fld.Children = new ObservableCollection<Node>();


                for (int j = 0; j < 10; j++)
                {
                    fld2 = new Folder();
                    fld2.Text = "Folder" + i.ToString() + j.ToString();

                    fld2.Children = new ObservableCollection<Node>();
                    for (int k = 0; k < 5; k++)
                    {
                        File nd = new File();
                        nd.Text = "File" + i.ToString() + j.ToString() + k.ToString();
                        fld2.Children.Add(nd);
                    }
                    fld.Children.Add(fld2);

                }
                for (int l = 0; l < 3; l++)
                {
                    File nd = new File() { Text = "File" + i.ToString() + l.ToString() };
                    fld.Children.Add(nd);
                }
                fl.Add(fld);
            }

            return fl;


        }
    }

       
}
